Bug 498746 - Non-responsive package maintainer + dead package?
Non-responsive package maintainer + dead package?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cpan2rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gavin Henry
Fedora Extras Quality Assurance
:
Depends On: 280991 462832
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 13:49 EDT by Michael Schwendt
Modified: 2009-09-12 03:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 21:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-05-02 13:49:29 EDT
Opening this ticket in accordance with
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

and at the same time trying to find a decision on whether to mark cpan2rpm dead in favour of cpanspec?

[...]

Bug 280991 (cpan2rpm misses dependency on ExtUtils::MakeMaker) was filed on 2007-09-06 for Fedora 7 and is still unfixed. No comment from package owner Gavin Henry.

Bug 462832 (cpan2rpm doesn't work with latest Pod::Text) was filed on 2008-09-19 for Fedora 9, is related, and is still unfixed. No comment from package owner Gavin Henry.

[...]

Package doesn't have any official Fedora co-maintainers listed.

perl-sig is subscribed to watchbugzilla/watchcommits only.

Upstream has not done a release since June 2005 and has not answered to the upstream PR for bug 462823 that was filed in May 2007.

In both bz tickets it has been suggested (and also to me privately) to use cpanspec instead.
Comment 1 Michael Schwendt 2009-05-10 13:37:37 EDT
*ping*

cpan2rpm is also on FESCo's list of packages to be orphaned:
http://toshio.fedorapeople.org/pkg-orphans.txt
Comment 2 Toshio Ernie Kuratomi 2009-05-11 21:19:26 EDT
This package has been retired.  Thanks!
Comment 3 Erick Calder 2009-09-11 02:11:24 EDT
I am the package maintainer.  I've just joined the Fedora maintainer's system and have yet to figure out how to bring the package out of retirement.  help appreciated, please e-mail me (e@arix.com)
Comment 4 Marcela Mašláňová 2009-09-11 03:06:29 EDT
I suppose you need to find old review of this package and ask for branches with comment that package is live again. In case old review doesn't exist, you'll create new one according to guidelines: https://fedoraproject.org/wiki/Packaging/Guidelines and you asked for review.
Comment 5 Michael Schwendt 2009-09-11 04:46:41 EDT
> I am the package maintainer.

The term "package maintainer" refers to the Fedora RPM package maintainer.
Comment 6 Erick Calder 2009-09-11 17:54:44 EDT
oh, well then I should state: "I wish to be the package maintainer".  actually, cpan2rpm is distributed in RPM form, so all I need to do is figure out how to contribute it to Fedora for inclusion.
Comment 7 Michael Schwendt 2009-09-12 03:53:02 EDT
That should be easy. All it would take is a little commitment to actually maintaining the RPM package in the Fedora package collection in adherance with Fedora Packaging guidelines:

  https://fedoraproject.org/wiki/PackageMaintainers/Join

In the case of cpan2rpm I also recommend you present an updated/fixed src.rpm with a Package Review request.

Note You need to log in before you can comment on or make changes to this bug.